import { z } from 'zod';
import { AuthUsersResult } from '../../user/types';
export type Subset<T extends U, U> = U;
export declare const authUsersQueryLimitParser: z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>;
export declare const authUsersQueryPageTokenParser: z.ZodEffects<z.ZodString, string, string>;
export declare const makePageTokenParser: <T extends z.ZodType<any, z.ZodTypeDef, any>>(parser: T) => z.ZodObject<{
    pageToken: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    pageToken: T;
}>, undefined extends T["_output"] ? never : "pageToken"> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    pageToken: T;
}>, undefined extends T["_output"] ? never : "pageToken">[k_1]; } : never, z.baseObjectInputType<{
    pageToken: T;
}> extends infer T_2 ? { [k_2 in keyof T_2]: z.baseObjectInputType<{
    pageToken: T;
}>[k_2]; } : never>;
export declare const makePageTokenLimitParser: <LP extends z.ZodType<any, z.ZodTypeDef, any>, OP extends z.ZodType<any, z.ZodTypeDef, any>>(limitParser: LP, pageTokenParser: OP) => z.ZodObject<{
    limit: LP;
    pageToken: OP;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    limit: LP;
    pageToken: OP;
}>, (undefined extends LP["_output"] ? never : "limit") | (undefined extends OP["_output"] ? never : "pageToken")> extends infer T ? { [k in keyof T]: z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    limit: LP;
    pageToken: OP;
}>, (undefined extends LP["_output"] ? never : "limit") | (undefined extends OP["_output"] ? never : "pageToken")>[k]; } : never, z.baseObjectInputType<{
    limit: LP;
    pageToken: OP;
}> extends infer T_1 ? { [k_1 in keyof T_1]: z.baseObjectInputType<{
    limit: LP;
    pageToken: OP;
}>[k_1]; } : never>;
export declare const queryPageTokenLimitParser: z.ZodObject<{
    limit: z.ZodEffects<z.ZodString, string, string>;
    pageToken: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, "strip", z.ZodTypeAny, {
    limit: string;
    pageToken: number;
}, {
    limit: string;
    pageToken: string | number;
}>;
export declare const authUsersListLimitParamsParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}, "strip", z.ZodTypeAny, {
    limit: number;
}, {
    limit?: string | number | undefined;
}>;
export declare const authUsersListPageTokenParamsParser: z.ZodObject<{
    pageToken: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}, "strip", z.ZodTypeAny, {
    pageToken?: string | undefined;
}, {
    pageToken?: string | undefined;
}>;
export declare const authUsersListQueryParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
    pageToken: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}, "strip", z.ZodTypeAny, {
    limit: number;
    pageToken?: string | undefined;
}, {
    limit?: string | number | undefined;
    pageToken?: string | undefined;
}>;
export declare const userIdParser: z.ZodEffects<z.ZodString, import("../../user/types").UserIdBrand, string>;
export declare const authUsersGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("../../user/types").UserIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../../user/types").UserIdBrand;
}, {
    id: string;
}>;
export declare const authUsersGetOneResultParser: z.ZodEffects<z.ZodAny, {
    uid: import("../../user/types").UserIdBrand;
    email?: string | undefined;
}, any>;
export declare const authUserParser: z.ZodObject<{
    uid: z.ZodEffects<z.ZodString, import("../../user/types").UserIdBrand, string>;
    email: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    uid: import("../../user/types").UserIdBrand;
    email?: string | undefined;
}, {
    uid: string;
    email?: string | undefined;
}>;
export type AuthUserParsed = z.infer<typeof authUserParser>;
export type AuthUser = AuthUserParsed;
export declare const authUsersListResultParser: z.ZodEffects<z.ZodAny, AuthUsersResult, any>;
