import { z } from 'zod';
import { CollectiveId } from '../collective/types';
export declare const mixspaceListQueryParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
    adminId: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>]>>;
}, "strict", z.ZodTypeAny, {
    limit: number;
    offset: number;
    adminId?: import("../user/types").UserIdBrand | import("../blog/id.types").BlogIdBrand | undefined;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    adminId?: string | undefined;
}>;
export declare const mixspaceListResultParser: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
    id: import("./id.types").MixspaceIdBrand;
    admins: string[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    image: string;
    collectives: CollectiveId[];
    title: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
    activationThreshold?: number | undefined;
}[], any[]>;
export declare const mixspaceGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: string;
}>;
export declare const mixspaceGetOneResultParser: z.ZodEffects<z.ZodAny, {
    id: import("./id.types").MixspaceIdBrand;
    admins: string[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    image: string;
    collectives: CollectiveId[];
    title: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
    activationThreshold?: number | undefined;
}, any>;
export declare const mixspaceDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: string;
}>;
export declare const mixspaceAdminParser: z.ZodString;
export declare const makeMixspaceAdminsParser: <T extends string, P extends z.ZodType<T, z.ZodTypeDef, T>>(p: P) => z.ZodArray<P, "many">;
export declare const makeMixspaceAdminsTraitParser: <T1, T extends z.ZodType<T1, z.ZodTypeDef, T1>>(a: T) => z.ZodObject<{
    admins: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    admins: T;
}>, undefined extends T["_output"] ? never : "admins"> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<z.baseObjectOutputType<{
    admins: T;
}>, undefined extends T["_output"] ? never : "admins">[k_1]; } : never, z.baseObjectInputType<{
    admins: T;
}> extends infer T_2 ? { [k_2 in keyof T_2]: z.baseObjectInputType<{
    admins: T;
}>[k_2]; } : never>;
export declare const mixspaceAdminsTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    admins: string[];
}, {
    admins: string[];
}>;
export declare const mixspaceCoreParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
    accessThreshold: z.ZodDefault<z.ZodNumber>;
    image: z.ZodEffects<z.ZodString, string, string>;
    items: z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }>, "many">;
    paymentWeights: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
    reward: z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    }>;
    title: z.ZodEffects<z.ZodString, string, string>;
    blogs: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
    collectives: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, CollectiveId, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    admins: string[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    image: string;
    collectives: CollectiveId[];
    title: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
}, {
    admins: string[];
    image: string;
    title: string;
    items: {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }[];
    paymentWeights: {};
    reward: {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    };
    accessThreshold?: number | undefined;
    blogs?: string[] | undefined;
    collectives?: string[] | undefined;
}>;
export declare const mixspaceParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, string>;
    admins: z.ZodArray<z.ZodString, "many">;
    image: z.ZodEffects<z.ZodString, string, string>;
    title: z.ZodEffects<z.ZodString, string, string>;
    accessThreshold: z.ZodDefault<z.ZodNumber>;
    items: z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }>, "many">;
    paymentWeights: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
    reward: z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    }>;
    activationThreshold: z.ZodOptional<z.ZodNumber>;
    blogs: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
    collectives: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, CollectiveId, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
    admins: string[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    image: string;
    collectives: CollectiveId[];
    title: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
    activationThreshold?: number | undefined;
}, {
    id: string;
    admins: string[];
    image: string;
    title: string;
    items: {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }[];
    paymentWeights: {};
    reward: {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    };
    accessThreshold?: number | undefined;
    activationThreshold?: number | undefined;
    blogs?: string[] | undefined;
    collectives?: string[] | undefined;
}>;
export declare const mixspaceCreateInputParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
    accessThreshold: z.ZodDefault<z.ZodNumber>;
    image: z.ZodEffects<z.ZodString, string, string>;
    items: z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }>, "many">;
    paymentWeights: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
    reward: z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    }>;
    title: z.ZodEffects<z.ZodString, string, string>;
    blogs: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
    collectives: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, CollectiveId, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    admins: string[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    image: string;
    collectives: CollectiveId[];
    title: string;
    accessThreshold: number;
    items: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[];
    paymentWeights: {};
    reward: {
        price: number;
        active: boolean;
        assets: string[];
    };
}, {
    admins: string[];
    image: string;
    title: string;
    items: {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }[];
    paymentWeights: {};
    reward: {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    };
    accessThreshold?: number | undefined;
    blogs?: string[] | undefined;
    collectives?: string[] | undefined;
}>;
export declare const mixspaceCreateResponseParser: z.ZodEffects<z.ZodAny, import("./id.types").MixspaceIdBrand, any>;
export declare const mixspaceUpdateInputParser: z.ZodObject<{
    admins: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    accessThreshold: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
    image: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    items: z.ZodOptional<z.ZodArray<z.ZodObject<{
        edge: z.ZodDefault<z.ZodBoolean>;
        uuid: z.ZodString;
        x: z.ZodNumber;
        y: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }, {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }>, "many">>;
    paymentWeights: z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
    reward: z.ZodOptional<z.ZodObject<{
        active: z.ZodDefault<z.ZodBoolean>;
        assets: z.ZodArray<z.ZodString, "many">;
        price: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        price: number;
        active: boolean;
        assets: string[];
    }, {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    }>>;
    title: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    blogs: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>>;
    collectives: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, CollectiveId, string>, "many">>>;
}, "strip", z.ZodTypeAny, {
    admins?: string[] | undefined;
    accessThreshold?: number | undefined;
    image?: string | undefined;
    items?: {
        x: number;
        y: number;
        edge: boolean;
        uuid: string;
    }[] | undefined;
    paymentWeights?: {} | undefined;
    reward?: {
        price: number;
        active: boolean;
        assets: string[];
    } | undefined;
    title?: string | undefined;
    blogs?: import("../blog/id.types").BlogIdBrand[] | undefined;
    collectives?: CollectiveId[] | undefined;
}, {
    admins?: string[] | undefined;
    accessThreshold?: number | undefined;
    image?: string | undefined;
    items?: {
        x: number;
        y: number;
        uuid: string;
        edge?: boolean | undefined;
    }[] | undefined;
    paymentWeights?: {} | undefined;
    reward?: {
        assets: string[];
        active?: boolean | undefined;
        price?: number | undefined;
    } | undefined;
    title?: string | undefined;
    blogs?: string[] | undefined;
    collectives?: string[] | undefined;
}>;
export declare const mixspaceUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").MixspaceIdBrand;
}, {
    id: string;
}>;
export declare const mixspaceItemTypeParser: z.ZodEnum<["channel", "apple"]>;
export declare const mixspaceItemUuidParserConverter: z.ZodEffects<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"apple">;
    id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "apple";
    id: string;
}, {
    type: "apple";
    id: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"channel">;
    id: z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("./id.types").MixspaceIdBrand, string>]>;
}, "strip", z.ZodTypeAny, {
    type: "channel";
    id: import("../blog/id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("./id.types").MixspaceIdBrand;
}, {
    type: "channel";
    id: string;
}>]>, {
    type: "apple";
    id: string;
} | {
    type: "channel";
    id: import("../blog/id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("./id.types").MixspaceIdBrand;
}, unknown>;
